osgAnimation::Target Class Reference

`#include <Target>`

Inheritance diagram for osgAnimation::Target:

## Public Member Functions

| Target ()
virtual | ~Target ()
void | reset ()
int | getCount () const
float | getWeight () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

float | _weight
float | _priorityWeight
int | _lastPriority
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## Target()

osgAnimation::Target::Target | ( |  | ) |

## ~Target()

virtual osgAnimation::Target::~Target | ( |  | ) |

inline virtual

## Member Function Documentation

## getCount()

int osgAnimation::Target::getCount | ( |  | ) | const

inline

References osg::Referenced::referenceCount().

## getWeight()

float osgAnimation::Target::getWeight | ( |  | ) | const

inline

References _weight.

## reset()

void osgAnimation::Target::reset | ( |  | ) |

inline

References _priorityWeight, and _weight.

## Member Data Documentation

## _lastPriority

int osgAnimation::Target::_lastPriority

protected

Referenced by osgAnimation::TemplateTarget< UsingType >::update().

## _priorityWeight

float osgAnimation::Target::_priorityWeight

protected

Referenced by reset(), and osgAnimation::TemplateTarget< UsingType >::update().

## _weight

float osgAnimation::Target::_weight

protected

Referenced by getWeight(), reset(), and osgAnimation::TemplateTarget< UsingType >::update().

The documentation for this class was generated from the following file:

- Target